/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\StitchersMittens.cs
Lines of code: 63
***********************************************************/


using System;
using Server.Items;

namespace Server.Items
{
	public class  StitchersMittensRecipe : BaseRecipe
	{
	
		[Constructable]
		public StitchersMittensRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(StitchersMittens); } }
		public override string artyname { get { return "Stitchers Mittens"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Tailoring,92.5));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("regular leather",typeof(Leather),15));
		
		RareResources.Add(new ReqRes("Captured Essence",typeof(CapturedEssence),1));		
		RareResources.Add(new ReqRes("Corruption",typeof(Corruption),10));		
		RareResources.Add(new ReqRes("Taint",typeof(Taint),10));		
		}	

			
	
		public StitchersMittensRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	
	public class StitchersMittens : LeafGloves
	{
		public override int LabelNumber{ get{ return 1072932; } } // Stitcher's Mittens

		public override int BasePhysicalResistance{ get{ return 20; } }
		public override int BaseColdResistance{ get{ return 20; } }

		[Constructable]
		public StitchersMittens()
		{
			Hue = 0x481;

			SkillBonuses.SetValues( 0, SkillName.Healing, 10.0 );

			Attributes.BonusDex = 5;
			Attributes.LowerRegCost = 30;
		}

		public StitchersMittens( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();

		}
	}
}